Delete a file

Delete a file with the specified ID. **Note:** This endpoint does not check if the specified file is in use. Use with caution. Both partner tokens and entity user tokens can be used for authentication. #### Considerations for invoice attachments Deleting a file does not delete it from the `attachments` list of accounts receivable invoices, quotes, and credit notes because these documents contain an inline copy of all referenced resources. To delete a file from attachments, call `PATCH /receivables/{receivable_id}` and update the `attachments` list to exclude the deleted file.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

file_idstringRequired
ID of the file you want to delete.

Headers

x-monite-versionstringRequired

Errors

401
Delete Files ID Request Unauthorized Error
404
Delete Files ID Request Not Found Error
422
Delete Files ID Request Unprocessable Entity Error
429
Delete Files ID Request Too Many Requests Error